Name:           urpm-tools
Version:        2.0
Release:        0
Summary:        Utilities that help to work with URPM-based repositories
Group:          System/Configuration/Packaging
License:        GPLv2
URL:            http://wiki.rosalab.ru/index.php/Urpm-tools
Source0:        %{name}-%{version}.tar.gz
BuildArch:	noarch
BuildRoot:	%{name}-%{version}

Requires:	urpmi	       >= 6.68
Requires:	python-rpm     >= 5.3
Requires:	libxml2-python >= 2.7
Requires:       gzip
Requires:	python-rpm5utils = %{version}

%description
%{name} is a collection of utilities for URPM-based repositories. 
They make URPM-based repositories easier and more powerful to use.
These tools include: urpm-downloader, urpm-package-cleanup, 
urpm-repoclosure, urpm-repodiff, urpm-repomanage, urpm-repograph,
urpm-reposync

%package -n	python-rpm5utils
Group:		Development/Python
Summary:	Auxiliary modules to work with rpm
Provides:	python-rpm5utils = %{version}-%{release}

%description -n python-rpm5utils
%{name} contains some useful modules that are used by %{name}. 
Mostly taken from yum.

%prep
%setup -q -n %{name}-%{version}

%install
rm -rf %{buildroot}
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)

%{_bindir}/urpm-downloader
%{_bindir}/urpm-package-cleanup
%{_bindir}/urpm-repoclosure
%{_bindir}/urpm-repodiff
%{_bindir}/urpm-repomanage
%{_bindir}/urpm-repograph
%{_bindir}/urpm-reposync
%{_mandir}/man1/urpm-downloader.1.xz
%{_mandir}/man1/urpm-package-cleanup.1.xz
%{_mandir}/man1/urpm-repoclosure.1.xz
%{_mandir}/man1/urpm-repodiff.1.xz
%{_mandir}/man1/urpm-repomanage.1.xz
%{_mandir}/man1/urpm-repograph.1.xz
%{_mandir}/man1/urpm-reposync.1.xz
%doc COPYING

%files -n python-rpm5utils
%defattr(-,root,root,-)
%dir %{py_puresitedir}/rpm5utils
%dir %{py_puresitedir}/rpm5utils/tests
%dir %{py_puresitedir}/rpm5utils/urpmgraphs
%dir %{py_puresitedir}/rpm5utils/urpmgraphs/algorithms
%dir %{py_puresitedir}/rpm5utils/urpmgraphs/algorithms/components
%dir %{py_puresitedir}/rpm5utils/urpmgraphs/classes

%{py_puresitedir}/urpmmisc.py
%{py_puresitedir}/rpm5utils/*.py*
%{py_puresitedir}/rpm5utils/tests/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/algorithms/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/algorithms/components/*.py*
%{py_puresitedir}/rpm5utils/urpmgraphs/classes/*.py*

%doc rpm5utils/COPYING


%changelog
* Thu Mar 01 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 2.0-0
+ Revision: 781628
- Version 2 released! urpm-reposync have been added and all the other tools have been improved

* Thu Mar 01 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.2.2-1
+ Revision: 781608
- Fixed broken dependency python-networkx

* Mon Feb 27 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.2.2-0
+ Revision: 781139
- Help and man pages are updated. repograph: added --unprovided and --broken options; code cleaning

* Fri Feb 10 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.2.1-8
+ Revision: 772395
- Fixed bug with incorrect module naming (sometimes rpmUtils were called instead of rpm5Utils)

* Thu Feb 09 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.2.1-7
+ Revision: 772319
- Added new tool: urpm-repograph

* Wed Jan 11 2012 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.1.0-5
+ Revision: 759692
- Package rpmUtils was replaced by rpm5Utils in order to resolve the conflict with yum

* Wed Dec 28 2011 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.0.2-4
+ Revision: 745882
- All the tools are updated

* Mon Dec 26 2011 Denis Silakov <dsilakov@mandriva.org> 1.0.1-3
+ Revision: 745389
- Drop release from tarball version
- Bump release
- Updated repodiff

* Thu Dec 22 2011 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.0.1-2
+ Revision: 744420
+ rebuild (emptylog)

* Thu Dec 22 2011 Anton Kirilenko <anton.kirilenko@rosalab.ru> 1.0.0-1
+ Revision: 744376
- Initial commit
- Created package structure for urpm-tools.

